DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DVPSPrintEventHandler Class Referenceabstract

pure abstract event handler class for N-EVENT-REPORT. More...

## Public Member Functions
virtual | ~DVPSPrintEventHandler ()
| destructor
virtual DIC_US | handleEvent (T_DIMSE_N_EventReportRQ &eventMessage, DcmDataset *eventInformation, DcmDataset *statusDetail)=0
| handles an N-EVENT-REPORT-RQ message.

## Detailed Description

pure abstract event handler class for N-EVENT-REPORT.

## Member Function Documentation

## ◆ handleEvent()

virtual DIC_US DVPSPrintEventHandler::handleEvent | ( | T_DIMSE_N_EventReportRQ & | eventMessage,
|  | DcmDataset * | eventInformation,
|  | DcmDataset * | statusDetail )
| pure virtual

handles an N-EVENT-REPORT-RQ message.

This method is called from DVPSPrintMessageHandler whenever an event report is received. The event message, information and status detail elements must be copied if they should remain valid after the end of this method call. The event handler can react on the event message in any implementation dependent way, e.g. display the event on-screen.

Parameters

  eventMessage | the N-EVENT-REPORT-RQ message
  eventInformation | event information dataset. May be NULL if no event information available.
  statusDetail | status detail dataset. ay be NULL if no status detail available.

Returns
  the status code to be sent back as part of the N-EVENT-REPORT-RSP message, usually STATUS_Success.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpspr.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2